<div id="body" class="container-fluid">
  <h6>Unlock Items</h6>
  <form #form="ngForm" name="form">
    <div>
      <div>
        <dx-radio-group [dataSource]="radioGroupItems"
                        displayExpr="text"
                        valueExpr="color"
                        value="0"
                        layout="horizontal"
                        (onValueChanged)="onValueChanged($event)">
        </dx-radio-group>
      </div>

      <div>
        <table>
          <tr>
            <td style="padding:0 0px 0 0px;">
              <label for="Mark">M5 #/CTN/Event/Redesign/CPT ID: </label>
            </td>
            <td style="padding:0 5px 0 5px;">
              <input id="name" name="name" class="form-control form-control-sm" size="60"
                      required minlength="1" appForbiddenName="-"
                      [(ngModel)]="form.name" #name="ngModel" (blur)="signalSelected(form.name.value)">
            </td>
            <td style="padding:0 5px 0 5px;">
              <button class="btn btn-sm btn-primary btn-block" style="width:170px; height:auto" type="button"(click)="onSubmitSearch()" [disabled]="form.invalid">
                Search
              </button>
            </td>
          </tr>
        </table>

        <div *ngIf="name.invalid && (name.dirty || name.touched)"
              class="alert alert-danger">

          <div *ngIf="name.errors.required">
            Name is required.
          </div>
          <div *ngIf="name.errors.minlength">
            Must be at least 1 characters long.
          </div>
          <div *ngIf="name.errors.forbiddenName">
            Cannot be -(negative).
          </div>
        </div>
      </div>

      <div *ngIf="selectedItems">
        <h6>Unlock Items View</h6>
        <dx-data-grid id="gridContainer"
                      [dataSource]="unlockOrders$"
                      [showBorders]="true" *ngIf="unlockOrders$!= null">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxi-column dataField="ftn" caption="FTN" dataType="string"></dxi-column>
          <dxi-column dataField="productType" caption="Product Type" dataType="string"></dxi-column>
          <dxi-column dataField="ordrType" caption="Order Type" dataType="string"></dxi-column>
          <dxi-column dataField="lockedBy" caption="Locked By" dataType="string"></dxi-column>
        </dx-data-grid>

        <dx-data-grid id="gridContainer1"
                      [dataSource]="unlockEvents$"
                      [showBorders]="true" *ngIf="unlockEvents$ != null">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxi-column dataField="eventId" caption="Event ID" dataType="string"></dxi-column>
          <dxi-column dataField="eventType" caption="Event Type" dataType="string"></dxi-column>
          <dxi-column dataField="lockedBy" caption="Locked By" dataType="string"></dxi-column>
        </dx-data-grid>

        <dx-data-grid id="gridContainer2"
                      [dataSource]="unlockRedesigns$"
                      [showBorders]="true" *ngIf="unlockRedesigns$!= null">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxi-column dataField="redsgnNumber" caption="Redesign ID" dataType="string"></dxi-column>
          <dxi-column dataField="redsgnType" caption="Redesign Type" dataType="string"></dxi-column>
          <dxi-column dataField="lockedBy" caption="Locked By" dataType="string"></dxi-column>
        </dx-data-grid>

        <dx-data-grid id="gridContainer3"
                      [dataSource]="unlockCPTs$"
                      [showBorders]="true" *ngIf="unlockCPTs$!= null">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxi-column dataField="cptCustNumber" caption="CPT Number" dataType="string"></dxi-column>
          <dxi-column dataField="custName" caption="Customer Short Name" dataType="string"></dxi-column>
          <dxi-column dataField="lockedBy" caption="Locked By" dataType="string"></dxi-column>
        </dx-data-grid>
        <button class="btn btn-sm btn-primary btn-block" style="width:170px; height:auto"
                type="button"(click)="onSubmit($event)" [disabled]="form.invalid">
          Unlock
        </button>
      </div>
      <div *ngIf="displaySuccessMessage">
        <p><span>Unlocked: </span><b>{{ftn}}</b></p>
      </div>
      <div *ngIf="displayErrorMessage">
        <p><span>Unlocked Not Successful: </span><b>{{ftn}}</b></p>
      </div>
      <div *ngIf="displayNotfound">
        <p><span>Not Found </span></p>
      </div>
    </div>
  </form>
</div>


